---
title: Hello World
content_type: post
description: Welcome to the new Kairoscope website.
author: James Peret
date: 12/01/2020
---

Welcome to the new Kairoscope Games website!

Finally I have taken some time aside from game development to work on this project. It's been a few years that our website had a very simple landing page with only a logo and no content. Now we have a full fledged site, built using [Hexo](http://hexo.io), with all our games, presskits and blog posts. 

This is still a work in progress. The website needs more content before it settles in. I'll be posting here on the blog more frequently telling about the development of our games, release dates and other company events.

Soon we will be launching in Steam our first commercial game called [Max Raider](/games/max-raider), its a 3d, top view, twin-stick arena shooter set in a post-apocalyptic world.

Kairoscope has been around for a while. Me and my cousin Ben have been working on games together since 2013. He made a lot of little games that where never completed, we participated in game jams and tried to make some partnerships. We didn't have any structure, we were just working together and singing our games with this name.

Thru those years we made **Star Fighter**, a 3d top down spaceship shooter. Then we spent a long time working on a post-apocalyptic RPG called **Solar Wave**. It was way to big in scope for us to handle at that time. Later we worked on a RTS called **BattleScape**. The game had serious issues with its multiplayer system (it always lost sync) and again scope was a problem. Then there was a game jam where we created a little game called [ZeroSpace](https://kairoscope.itch.io/zerospace), available on Itch.io. We tried continue working on the game after the jam, but we just lost scope again.

After all those experiences we learned a lot about game design, what we want to do and what we can actually execute. The last six months i've been working on [Max Raider](/games/max-raider) and the **KairoEngine**, a bundle of Unity3d modules for doing all sorts of things like event management, UI components and reusable game mechanics. 

The Max Raider project almost lost scope like the ones before. But I was able to get a grip on things and simply cut 3/4 of all the features that had creped in. The game was suposted to be an open world RPG and instead I decided to make an arena game and finish the game in a short time. The combat mechanic was the main selling point, it was working ok and it was fun. With these changes, the game is now almost ready and soon I'll post the release date.